package de.fhdw.gaming.ipspiel22.vierGewinnt.domain;

import de.fhdw.gaming.core.domain.GameBuilderFactory;
import de.fhdw.gaming.core.domain.GameException;
import de.fhdw.gaming.core.ui.InputProvider;

/**
 * A Vier gewinnt {@link GameBuilderFactory} which allows to create a Vier gewinnt game builder.
 */
public interface VGGameBuilderFactory extends GameBuilderFactory {
    /**
     * Parameter that determines if a player is using red or yellow tokens.
     */
    String PARAM_PLAYER_USING_RED_CHIPS = "playerUsingRedChips";

    @Override
    VGGameBuilder createGameBuilder(InputProvider inputProvider) throws GameException;
}
